GET
/
v1
/
projects
/
{project}
/
boxes
cURL
curl --request GET \
  --url https://api.example.com/v1/projects/{project}/boxes
{
  "boxes": [
    {
      "created_at": "<string>",
      "id": "<string>",
      "name": "<string>",
      "project": "<string>",
      "status": "<string>",
      "updated_at": "<string>",
      "base": "<string>",
      "config": {
        "cpus": 123,
        "ram_mb": 123,
        "region": "<string>",
        "storage_gb": 123
      },
      "data_mounts": [
        {
          "name": "<string>",
          "path": "<string>",
          "read_only": true
        }
      ],
      "environment": {},
      "port": 1,
      "published_domains": [
        "<string>"
      ],
      "tags": {},
      "termination_grace_period_seconds": 1,
      "url": "<string>",
      "url_settings": {
        "auth": "<string>"
      }
    }
  ],
  "has_more": true,
  "next_continuation_token": "<string>"
}

Path Parameters

project
string
required

Project name (use '-' for all projects)

Query Parameters

prefix
string

Filter by name prefix

max_results
integer<int32>

Maximum number of results

Required range: x >= 0
tag
string

Filter by tags (comma-separated key or key=value)

Response

List of boxes

boxes
object[]
required
has_more
boolean
required
next_continuation_token
string | null